#
# spec file for package ghc-beam-migrate
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name beam-migrate
Name:           ghc-%{pkg_name}
Version:        0.3.2.1
Release:        1.2
Summary:        SQL DDL support and migrations support library for Beam
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-beam-core-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-dependent-map-devel
BuildRequires:  ghc-dependent-sum-devel
BuildRequires:  ghc-free-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parallel-devel
BuildRequires:  ghc-pqueue-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-uuid-types-devel
BuildRequires:  ghc-vector-devel

%description
This package provides type classes to allow backends to implement SQL DDL
support for beam. This allows you to use beam syntax to write type-safe schema
generation code. The package also provides features to introspect beam schemas,
and support for automatic generation of migrations in SQL and Haskell formats.
This is mostly a low-level support library. Most often, this library is used to
write tooling to support DDL manipulation in your project, or to enable
migrations support in beam backends. For a more turnkey solution for database
migrations, consider the <http://hackage.haskell.org/package/beam-migrate-cli
beam-migrate> command line tool. This provides out-of-the-box support for
migrations, schema change management, and version control, based on the
features provided in this library.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md

%changelog
* Mon Jul  9 2018 psimons@suse.com
- Update beam-migrate to version 0.3.2.1.
  A detailed changelog is not available from upstream.
* Tue May  8 2018 psimons@suse.com
- Update beam-migrate to version 0.3.2.0.
  A more detailed change log is not available.
* Sun Apr 15 2018 psimons@suse.com
- Update beam-migrate to version 0.3.1.0.
  A more detailed change log is not available.
